# Enum SurfaceAlignment

java.lang.Object
java.lang.Enum<SurfaceAlignment>
com.codename1.surfaces.SurfaceAlignment

All Implemented Interfaces:
  `Comparable<SurfaceAlignment>`

public enum SurfaceAlignment extends Enum<SurfaceAlignment>
Nine-way alignment of a node within its parent. In a `SurfaceBox` (stacked children) this places the child within the box; in a `SurfaceRow` or `SurfaceColumn` only the cross-axis component applies.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM`
  `BOTTOM_LEADING`
  `BOTTOM_TRAILING`
  `CENTER`
  `LEADING`
  `TOP`
  `TOP_LEADING`
  `TOP_TRAILING`
  `TRAILING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getJsonName()`
  Returns the wire-format name used in the serialized descriptor.
  `static SurfaceAlignment`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SurfaceAlignment[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP_LEADING

    public static final SurfaceAlignment TOP_LEADING

  - ### TOP

    public static final SurfaceAlignment TOP

  - ### TOP_TRAILING

    public static final SurfaceAlignment TOP_TRAILING

  - ### LEADING

    public static final SurfaceAlignment LEADING

  - ### CENTER

    public static final SurfaceAlignment CENTER

  - ### TRAILING

    public static final SurfaceAlignment TRAILING

  - ### BOTTOM_LEADING

    public static final SurfaceAlignment BOTTOM_LEADING

  - ### BOTTOM

    public static final SurfaceAlignment BOTTOM

  - ### BOTTOM_TRAILING

    public static final SurfaceAlignment BOTTOM_TRAILING

- ## Method Details

  - ### values

    public static SurfaceAlignment[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SurfaceAlignment valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getJsonName

    public String getJsonName()
    Returns the wire-format name used in the serialized descriptor.